import request from '@/utils/request'

// 预览商品
export function getItemPreview(query) {
    return request({
        url: '/item/getItemPreview',
        method: 'get',
        params: query
    })
}
// 商品解绑
export function unbindingItem(query) {
    return request({
        url: '/item/unbindingItem',
        method: 'delete',
        params: query
    })
}
// 商品批量审核
export function batchItemProcess(query) {
    return request({
        url: '/item/batchItemProcess',
        method: 'post',
        data: query
    })
}

// 获取商品列表
export function getItemList(query) {
    return request({
        url: '/item/list',
        method: 'get',
        params: query
    })
}

// 获取省
export function getAreaList(query) {
    return request({
        url: '/item/getProvince',
        method: 'get',
        params: query
    })
}
// 获取市
export function getCity(query) {
    return request({
        url: '/item/getCity',
        method: 'get',
        params: query
    })
}

// 判断是否绑定
export function checkItem(query) {
    return request({
        url: '/item/checkItem',
        method: 'get',
        params: query
    })
}


// 新增商品

export function insertItem(query) {
    return request({
        url: '/item/insertItem',
        method: 'post',
        data: query
    })
}


// 修改商品

export function editItem(query) {
    return request({
        url: '/item/edit',
        method: 'put',
        data: query
    })
}

// 品类下拉

export function getCategoryIds(query) {
    return request({
        url: '/item/getCategoryIds',
        method: 'get',
        params: query
    })
}

// 活动ID下拉

export function getActivityIds(query) {
    return request({
        url: '/item/getActivityIds',
        method: 'get',
        params: query
    })
}

//领样预览

export function preview(query) {
    return request({
        url: '/itemCollectSamples/preview',
        method: 'post',
        data: query
    })
}

//领样提交

export function addPreview(query) {
    return request({
        url: '/itemCollectSamples/add',
        method: 'post',
        data: query
    })
}

//领样修改

export function editPreview(query) {
    return request({
        url: '/itemCollectSamples/edit',
        method: 'put',
        data: query
    })
}

//修改状态-直接跳到待上传作业

export function toUpdateTask(query) {
    return request({
        url: '/itemCollectSamples/updateTask',
        method: 'put',
        data: query
    })
}


//批量审核

export function batchProcess(query) {
    return request({
        url: '/itemCollectSamples/batchProcess',
        method: 'post',
        data: query
    })
}


//领样作废

export function removePreview(query) {
    return request({
        url: '/itemCollectSamples/remove',
        method: 'delete',
        params: query
    })
}

//详情编辑

export function updatePreview(query) {
    return request({
        url: '/itemCollectSamples/update',
        method: 'put',
        data: query
    })
}

// 领样列表
export function getList(query) {
    return request({
        url: '/itemCollectSamples/list',
        method: 'get',
        params: query
    })
}


// 获取快递公司
export function getCompany(query) {
    return request({
        url: '/itemCollectSamples/getCompany',
        method: 'get',
        params: query
    })
}
// 修改快递单号
export function updateCourierNumber(query) {
    return request({
        url: '/itemCollectSamples/updateCourierNumber',
        method: 'get',
        params: query
    })
}



//  详情
export function getDetail(query) {
    return request({
        url: '/itemCollectSamples/detail',
        method: 'get',
        params: query
    })
}


//  达人详情
export function getPromoterInfo(query) {
    return request({
        url: '/kuaishou/promoter/getPromoterInfo',
        method: 'get',
        params: query
    })
}

//  物流详情
export function courierNumberInfo(query) {
    return request({
        url: '/itemCollectSamples/courierNumberInfo',
        method: 'get',
        params: query
    })
}



//  达人详情
export function copyInfo(query) {
    return request({
        url: '/itemCollectSamples/copyInfo',
        method: 'get',
        params: query
    })
}


//获取图片文字

export function readImage(query) {
    return request({
        url: '/kuaishou/promoter/readImage',
        method: 'post',
        data: query
    })
}


//获取图片文字

export function getItemDetailByItemId(query) {
    return request({
        url: '/item/getItemDetailByItemId',
        method: 'get',
        params: query
    })
}








